Creates a processing transaction
curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json-patch+json' \
--data '
{
"skillId": "<string>",
"generateMobileInputLink": false,
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
],
"skillParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/transactions"
payload = {
"skillId": "<string>",
"generateMobileInputLink": False,
"registrationParameters": [
{
"key": "<string>",
"value": "<string>"
}
],
"skillParameters": [
{
"key": "<string>",
"value": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({
skillId: '<string>',
generateMobileInputLink: false,
registrationParameters: [{key: '<string>', value: '<string>'}],
skillParameters: [{key: '<string>', value: '<string>'}]
})
};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"mobileInputLink": "<string>",
"isShortLink": true
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Transactions
Creates a processing transaction
Creates a transaction that will be used to process some files.
POST
/
api
/
publicapi
/
v1
/
transactions
Creates a processing transaction
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Transaction creation parameters
Id of the skill to be applied to the files
Minimum string length:
1Generate URL to run mobile input with one time auth token to inject image to specific transaction
Additional registration parameters for transaction
Maximum array length:
10Show child attributes
Show child attributes
Skill parameters for transaction
Maximum array length:
10Show child attributes
Show child attributes
Response
Transaction successfully created
Mobile input link which contains one time authorization token for current transaction. Parameter is returned if generateMobileInputLink=true
Is the mobile input link a short link referencing the origin mobile input link.
Was this page helpful?
⌘I
